# Interface IWatchExpressionFactoryAdapter

All Known Subinterfaces:
  `IWatchExpressionFactoryAdapterExtension`

public interface IWatchExpressionFactoryAdapter
An optional adapter used to create a watch expression for a selected variable.

The 'Create Watch Expression' action is enabled for instances of `IVariable` that have an associated `IWatchExpressionDelegate` registered for that debug model. When a watch expression factory adapter is available for a variable, the factory is consulted to create a watch expression for that variable. When no adapter is provided, the watch expression is generated based on the variable's name.

Also see the optional interface `IWatchExpressionFactoryAdapterExtension`.

Clients may implement this interface.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`String`
`createWatchExpression(IVariable variable)`
Creates and returns an expression for the specified variable which is used to created an `IWatchExpression`.

## Method Details

### createWatchExpression

String createWatchExpression(IVariable variable) throws CoreException
Creates and returns an expression for the specified variable which is used to created an `IWatchExpression`.

Parameters:
  `variable` - variable a watch expression is required for
Returns:
  text used to create a watch expression
Throws:
  `CoreException` - if unable to create a watch expression